# Get voucher information

# Instructions for Interface Calls

http请求方式:POST
https://api.weixin.qq.com/shop/coupon/get?access_token=xxxxxxxxx

# Example of request parameters

{
    "out_coupon_id": "out_coupon_id_1"
}

# Examples of back-up

{
  "errcode": 0, // 返回码
  "result": {
    "coupon": {
      "out_coupon_id": "coupon_id_1", // 优惠券ID
      "type": 101,
      "promote_type": 4,
      "coupon_info": {
        "name": "示例优惠券",
        "promote_info": {
          "promote_type": 4,
          "finder": {
            "nickname": "视频号昵称"
          }
        },
        "discount_info": {
          "discount_condition": {
            "product_cnt": 2, // 优惠券类型为商品券时
            "product_price": 5000,
            "out_product_ids": ["product_id_3", "product_id_4"], // 优惠券类型为商品券时
            "tradein_info": { // 优惠券类型为买赠券时
              "out_product_id": "product_id_5",
              "price": 10000
            },
            "buyget_info": { // 优惠券类型为换购券时
              "buy_out_product_id": "product_id_1",
              "buy_product_cnt": 3,
              "get_out_product_id": "product_id_2",
              "get_product_cnt": 5
            }
          },
          "discount_num": 9800, // 折扣券
          "discount_fee": 6400 // 满减券、直减券
        },
        "receive_info": {
          "start_time": 1625451250, //领取开始时间
          "end_time": 1625454250, //领取结束时间
          "limit_num_one_person": 10, //限领张数,由小程序保证限领
          "total_num": 100 //总发放量
        },
        "valid_info": {
          "valid_type": 1, //有效期类型
          "valid_day_num": 10, //生效天数
          "valid_second": 3600, //生效秒数
          "start_time": 1625451250, //有效开始时间
          "end_time": 1625464250 //有效结束时间
        }
      },
      "status": 1, // 优惠券状态
      "create_time": 1625454641,
      "update_time": 1625454641,
      "appid": "wx9e20708660a0991b"
    }
  }
}

# Dxplaination of request parameters

参数 type Is it compulsory? Introductions
out_coupon_id string yes Coupon id

# Dxplaination of callback parameters

参数 type Introductions
coupon.out_coupon_id string Merchant Side Coupon ID
coupon.type number Types of coupons
coupon.promote_type number Types of Coupon Promotion
coupon.coupon_info.name string The name of the coupon
coupon.coupon_info.promote_info.promote_type number Types of Coupon Promotion
coupon.coupon_info.promote_info.finder.nickname string Promote your WeChat Channels nickname.
coupon.coupon_info.discount_info.discount_condition.product_cnt number Number of items required under the discount conditions
coupon.coupon_info.discount_info.discount_condition.product_price number The amount required to be met under the discount conditions
coupon.coupon_info.discount_info.discount_condition.out_product_ids string array Designated Product Merchant Side ID
coupon.coupon_info.discount_info.discount_condition.tradein_info.out_product_id string Exchange Goods Merchant Side ID
coupon.coupon_info.discount_info.discount_condition.tradein_info.price number The amount to be paid in units
coupon.coupon_info.discount_info.discount_condition.buyget_info.buy_out_product_id string Buy Merchandise Merchant Side ID
coupon.coupon_info.discount_info.discount_condition.buyget_info.buy_product_cnt number Number of items purchased
coupon.coupon_info.discount_info.discount_condition.buyget_info.get_out_product_id string Gift merchandise merchant side ID
coupon.coupon_info.discount_info.discount_condition.buyget_info.get_product_cnt number Number of items given away
coupon.coupon_info.discount_info.discount_num number The number of discounts, such as a 5.1 discount, is 5,100
coupon.coupon_info.discount_info.discount_fee number The amount reduced is in units
coupon.coupon_info.receive_info.start_time number Get Start Time (second time stamp)
coupon.coupon_info.receive_info.end_time number Receipt Closing Time (second time stamp)
coupon.coupon_info.receive_info.limit_num_one_person number Leading Numbers
coupon.coupon_info.receive_info.total_num number Total issuance
coupon.coupon_info.valid_info.valid_type number Type of period of validity, 1: item specified time range, 2: number of days in effect, 3: number of seconds in effect
coupon.coupon_info.valid_info.valid_day_num number Number of days in effect
coupon.coupon_info.valid_info.valid_second number Number of Effective Seconds
coupon.coupon_info.valid_info.start_time number Effective start time (second timestamp)
coupon.coupon_info.valid_info.end_time number Effective ending time (second timestamp)
coupon.status number Coupon Status
coupon.create_time number Creation time (second timestamp)
coupon.update_time number Updated time (second timestamp)